### Method

# Gtk CellArea activate_cell

#### Declaration [src]

    gboolean
    gtk_cell_area_activate_cell (
      GtkCellArea* area,
      GtkWidget* widget,
      GtkCellRenderer* renderer,
      GdkEvent* event,
      const GdkRectangle* cell_area,
      GtkCellRendererState flags
    )

#### Description [src]

This is used by `GtkCellArea` subclasses when handling events to activate cells, the base `GtkCellArea` class activates cells for keyboard events for free in its own GtkCellArea->activate() implementation.

#### Parameters

`widget` | `GtkWidget`
| The `GtkWidget` that `area` is rendering onto.
| The data is owned by the caller of the function.
`renderer` | `GtkCellRenderer`
| The `GtkCellRenderer` in `area` to activate.
| The data is owned by the caller of the function.
`event` | `GdkEvent*`
| The `GdkEvent` for which cell activation should occur.
| The data is owned by the caller of the function.
`cell_area` | `const GdkRectangle*`
| The `GdkRectangle` in `widget` relative coordinates of `renderer` for the current row.
| The data is owned by the caller of the function.
`flags` | `GtkCellRendererState`
| The `GtkCellRenderer`State for `renderer`.

#### Return value

Returns: | `gboolean`
| Whether cell activation was successful.